<?php
session_start();

include("_includes/dbconnect.php");


$finalScore = $_SESSION[ 'totalScore' ];

//CONDITIONAL TO SET RISK LEVEL CATEGORISATION
    if ( $finalScore >= 0 && $finalScore <= 7 ) {
        
      $riskLevel = "Low Risk";
        
    } else if ( $finalScore > 7 && $finalScore <= 15 ) {
        
      $riskLevel = "Increasing Risk";
        
    } else if ( $finalScore > 15 && $finalScore <= 19 ) {
        
      $riskLevel = "Higher Risk";
        
    } else {
        
      $riskLevel = "High risk/possible dependence";
        
    }

//DAILY AND WEEKLY UNITS CALCULATION
$unitsDaily = $_SESSION[ 'unitsDaily' ];
$unitsWeekly = $unitsDaily * 7;

//CALORIE CONSUMPUTIN CALCULATION BASED ON DRINKING
$caloriesPerUnit = 56;
$calorificFood = 313; //1 x cheeseburger
$caloriesFromAlcohol = $unitsDaily * $caloriesPerUnit;
$caloriesExampleFood = $caloriesFromAlcohol / $calorificFood;

//SQL VARIABLE FOR INSERT - USING SESSION VARIABLES. 
$monthTaken = $_SESSION[ 'month' ];

$userSex = $_SESSION[ 'userSex' ];
$userLocation = $_SESSION[ 'userLocation' ];
$userDistrict = $_SESSION[ 'userDistrict'];
$userAge = $_SESSION[ 'userAge' ];

$question1 = $_SESSION[ 'howOftenDrink' ];
$question2 =  $_SESSION[ 'unitsDailyScore' ];
$question3 = $_SESSION[ 'unitsoccasion' ];
$question4 = $_SESSION[ 'cantstop' ];
$question5 = $_SESSION[ 'expected' ];
$question6 = $_SESSION[ 'morning' ];
$question7 = $_SESSION[ 'guilt' ];
$question8 = $_SESSION[ 'remember' ];
$question9 = $_SESSION[ 'injury' ];
$question10 = $_SESSION[ 'concerned' ];


$userEthnicity = $_POST['ethnicityToPass'];
$userHowHeard = $_POST['howheardToPass'];


//SQL INSERT QUERY FOR STATS INFORMATION
 $sqlQuizResults = "INSERT INTO results (sex,agerange,location,district,ethnicity,howheard,unitsdaily,score,month,risklevel,question1,question2,question3,question4,question5,question6,question7,question8,question9,question10) VALUES ('$userSex','$userAge','$userLocation','$userDistrict','$userEthnicity','$userHowHeard','$unitsDaily','$finalScore','$monthTaken','$riskLevel','$question1','$question2','$question3','$question4','$question5','$question6','$question7','$question8','$question9','$question10')";
                     
if ( $conn->query( $sqlQuizResults ) === TRUE ) {
                    } else {
}
                     
?>
<!doctype html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<title>Alcohol Quiz</title>

<!--Default CSS-->
<link rel="stylesheet" href="css/alcoholquiz.css">
</head>
<body>
   
    <div class="row padding-green-bg">
<div class="container">
      <div class="row">
    <div class="col-4 col-md-3">
                 <img src="images/rethinklogo.png" alt="rethink you drink" class="img-fluid mt-3" />
            </div>
  
           <div class="offset-lg-3 col-lg-6">
        <div class="well aqua  m-mt-15 mt-5 mb-4">
 
<p class=" mb-0 black-white">100% Complete</p>
  <div class="progress mb-2">

    <div class="progress-bar" role="progressbar" aria-valuenow="100"
  aria-valuemin="0" aria-valuemax="100" style="width:100%">  </div>
  </div>
       </div>
         </div>
         </div>
</div>
        </div>
 
<div class="container" id="results-wrapper">
      <div class="row">
    <div class="col-md-7">
     <h1 class="black">Your results</h2>
        </div>
          </div>
  <div class="row">
    <div class="col-md-8 mb-3">

        
        <div class="well">
            
            
            
        
      <?php
      if ( $finalScore >= 0 && $finalScore <= 7 ) {
        ?>
            
              <div class="well white">
                  
         <div class="text-center mb-3"><h3 class="black" >You are <?php echo $riskLevel;?></h3></div>
                  
                  <div class="row">
        <div class="col-md-5">
            <img src="images/lowriskgauge.svg" alt="guage pointing to low risk" class="img-fluid"/>
                  </div>
                      <div class="col-md-7 my-auto">
          
                            <strong>Congratulations, we would encourage you to continue to stay within these lower-risk levels.</strong>
                  </div>
                      
                      
                  </div>
                  
                   </div>
            
            <div class="well white mt-2">
                  
                                    <h4 class="black" >How much am I drinking a day?</h4>
   <p>Typically you consume <strong><?php echo $unitsDaily ;?></strong> units of alcohol  on days when you are drinking</p>
   
   
   
           
          
           
               <div class="well green pb-1 mb-3"> <p class="black text-center"><strong>The UK Chief Medical Officer advises that people do not drink more than 14 units per week, with at least two days alcohol free</strong></p></div>
                  
            </div>
            
            <div class="well white mt-2" id="myscore">
                  
             <h4 class="black" >About your score</h4>

      <p>Your score is <?php echo $finalScore;?>.  This indicates that you are drinking at <strong>lower-risk levels</strong>.</p>
      <p>Whilst there is no completely safe level of drinking, based on your responses, your alcohol use is unlikely to be adding significantly to any health problems. </p>
    
                </div>
      <?php  } else if ($finalScore > 7 &&  $finalScore <= 15) {  ?>
                
                
                    <div class="well white mt-2 ">
                
       <div class="text-center mb-3"><h3 class="black" >You are <?php echo $riskLevel;?></h3></div>
                  <div class="row">
        <div class="col-md-5">
            <img src="images/increasingriskgauge.svg" alt="guage pointing to low risk" class="img-fluid"/>
                  </div>
                      <div class="col-md-7 my-auto">
                          <?php if($userSex == "male") { ?>
                          <strong>75% of men drink less than you. That's 3 in every 4.</strong> 
                          <?php } ?>
                          
                            <?php if($userSex == "female") { ?>
                          <strong>88% of women drink less than you. That's 4 in every 5.</strong>  
                          <?php } ?>
                          
                  </div>
                      
                      
                  </div>
                  
                                   </div>        
                        
                        <div class="well white mt-2 ">    
                  
      <h4 class="black" id="myscore" >About your score</h4>
      <p>Your score is <?php echo $finalScore;?>. This indicates that you are drinking at <strong>increasing-risk levels</strong> and means you may be drinking more than is healthy for you and adding to your risk of future health problems such as hypertension, depression, and some cancers. </p>
  


      <p>The Chief Medical Officer has recently issued guidance that to keep the risk low, both men and women should not regularly drink more than 14 units a week –that’s no more than about 7 pints of ordinary beer or 7 regular glasses of wine, spread out through the week.</p>
      <p>We’d encourage you to cut back, even just a little, by drinking less on the days you do drink and/or having more days when you don’t drink at all.</p>
     
     
     
      <p>Many people who reduce their alcohol intake notice benefits, which can include those below.</p>
      <p><strong>Short-term benefits:</strong></p>
      <ul>
        <li>feeling better in the mornings</li>
        <li>being less tired and more energetic</li>
        <li>better-looking skin</li>
        <li>saving some money</li>
      </ul>
      <p><strong>Long-term benefits:</strong></p>
      <ul>
        <li>lower blood pressure</li>
        <li>lower risk of stroke, hypertension, cancer and liver disease</li>
        <li>lower cholesterol levels</li>
        <li>better mood, memory and quality of sleep</li>
        <li>help with weight management</li>
      </ul>
                        
                        
             

                        
                        </div>
      <?
      } else if ( $finalScore > 15 && $finalScore <= 19 ) {
        ?>
                
                   <div class="well white">
    <div class="text-center mb-3"><h3 class="black" >You are <?php echo $riskLevel;?></h3></div>
                  
                  <div class="row">
        <div class="col-md-5">
            <img src="images/higherriskgauge.svg" alt="guage pointing to low risk" class="img-fluid"/>
                  </div>
                      <div class="col-md-7 my-auto">
                          <?php if($userSex == "male") { ?>
                          <strong>95% of men drink less than you. That's more than 4 in every 5. </strong> 
                          <?php } ?>
                          
                            <?php if($userSex == "female") { ?>
                          <strong>98% of women drink less than you. That's more than 9 in every 10.  </strong>
                          <?php } ?>
                          
                  </div>
                      
                      
                  </div>
                  
                  
           <div class="well red pb-1 mb-3"> <p class="black font-size-20 text-center"><strong>Drinking may cause you health problems in the future or may be harming your health.</strong></p></div>
                
                </div>
            
            <div class="well white mt-2">
                  
                                    <h4 class="black" >How much am I drinking a day?</h4>
    <p>Typically you consume <strong><?php echo $unitsDaily ;?></strong> units of alcohol  on days when you are drinking</p>
           
               <div class="well green pb-1 mb-3"> <p class="black text-center"><strong>The UK Chief Medical Officer advises that people do not drink more than 14 units per week, with at least two days alcohol free</strong></p></div>
                  
            </div>
                  
            
               <div class="well white mt-2" id="myscore">
            <h4 class="black" >About your score</h4>

      <p>Your score is <?php echo $finalScore;?>. This indicates that you are drinking at <strong>higher-risk levels</strong> and means you may be drinking more than is healthy for you and adding to your risk of future health problems such as hypertension, depression, and some cancers. </p>
   
      <p>The Chief Medical Officer has recently issued guidance that to keep the risk low, both men and women should not regularly drink more than 14 units a week –that’s no more than about 7 pints of ordinary beer or 7 regular glasses of wine, spread out through the week.</p>
      <p>We’d encourage you to cut back, even just a little, by drinking less on the days you do drink and/or having more days when you don’t drink at all.</p>

      <p>Many people who reduce their alcohol intake notice benefits, which can include those below.
     </p>
      <p><strong>Short-term benefits:</strong></p>
      <ul>
        <li>feeling better in the mornings</li>
        <li>being less tired and more energetic</li>
        <li>better-looking skin</li>
        <li>saving some money</li>
      </ul>
      <p><strong>Long-term benefits:</strong></p>
      <ul>
        <li>lower blood pressure</li>
        <li>lower risk of stroke, hypertension, cancer and liver disease</li>
        <li>lower cholesterol levels</li>
        <li>better mood, memory and quality of sleep</li>
        <li>help with weight management</li>
      </ul>
                   
                   

                </div>
      <?php
      } else {
        ?>
                
           <div class="well white mt-2 " id="myscore">
       <div class="text-center mb-3"><h3 class="black" >You are <?php echo $riskLevel;?></h3></div>
                  
                  
           <div class="well red pb-1 mb-3"> <p class="black font-size-20 text-center"><strong>Drinking may cause you health problems in the future or may be harming your health.</strong></p></div>
                  
                  
           <h4 class="black" >About your score</h4>
      <p>Your score is <?php echo $finalScore;?>. This indicates your drinking level is <strong>high-risk/possible dependence</strong> Your drinking may well be impacting on your physical and mental health already and is adding to your risk of future health harms including seven types of cancer, liver disease, heart disease and high blood pressure.</p>
      <p>Support is available if you feel your drinking is getting out of control. There’s nothing to be ashamed of; lots of people struggle with alcohol at some point in their lives and need support to turn things around.</p>
      <p>It’s important to seek to get medical advice before you stop drinking if you have physical withdrawal symptoms (like shaking, sweating or feeling anxious until you have your first drink of the day). It can be dangerous to stop drinking too quickly without proper help.</p>
      <p>Speak to your GP or contact your local alcohol treatment service as soon as possible about your options for cutting down.</p>
               
               
              <p> <button type="button" class="btn btn-success" data-toggle="modal" data-target="#supportModal"> Where can I get support? </button></p>
    
               
                   </div>
               
      <?php } ?>
            
            
                  

            
    
            
        </div>
        
     
    
          </div>   

    
      <div class="col-md-4">
        <div class="well aqua mb-3">
               <div class="well white">
         
                
         <div class="text-center mb-3"><h3 class="black" >Your Score</h3></div>
                   
                     <div class="row">
        <div class="col-md-5 mx-auto">
            <img src="images/introdrinks.svg" alt="guage pointing to low risk" class="img-fluid"/>
                  </div>
                     
                      
                      
                  </div>
       <p class="text-center font-size-20 mt-3">You scored <strong><?php echo $finalScore ;?></strong> out of a possible <strong>40</strong> points.</p>
         
    
            
            </div>
            </div>
          
          
                  
          
          
          
          <div class="well aqua mb-3">
               <div class="well white">
         
                
         <div class="text-center mb-3"><h3 class="black" >How many calories</h3></div>
                       <div class="row">
        <div class="col-md-5 mx-auto">
            <img src="images/cheeseburger.svg" alt="a cheeseburger" class="img-fluid"/>
                  </div>
                     
                      
                      
                  </div>
        <p class="text-center font-size-20 mt-3">You are consuming <strong><?php echo $caloriesFromAlcohol ;?> calories</strong> from alcohol.</p>
        <p class="text-center font-size-20">That's the equivalent of <strong><?php echo number_format((float)$caloriesExampleFood, 2, '.', '') ?></strong> cheeseburgers.</p>
     
  
     
     
     
          </div>
            </div>
          
          <div class="well aqua mb-3">
               <div class="well white">
            <div class="text-center"><<h3 class="black mb-3">Find out more</h3></div>
            <p>Find out more about the risks associated with alcohol and get helpful tips and advice to make a change </p>
     
     <p>  <p class="text-center"> <a href="https://www.hants.gov.uk/rethinkyourdrink" class="btn btn-success">Back to Rethink Your Drink</a></p>
</p>
         
                 </div>
    
  </div>
          
     
    </div>
    
  </div>
    
    
    
  
      
      
      
      
  </div>
</div>
    
    
    <!-- The Modal -->
<div class="modal" id="supportModal">
  <div class="modal-dialog modal-lg">
    <div class="modal-content"> 
      
      <!-- Modal Header -->
      <div class="modal-header">
    
        <button type="button" class="close" data-dismiss="modal" aria-label="close window">&times;</button>
      </div>
      
      <!-- Modal body -->
      <div class="modal-body">
    

    <h1 class="black mb-4"><strong>Support available in <?php echo $userLocation ;?></strong></h1>

          <h2>Specialist Treatment Services</h2>
<p>You can contact the specialist treatment services for adults or young people in your area:</p>

  
          <?php if($userLocation == "Hampshire") { ?>
    <p><a href="https://www.inclusionhants.org/" ><strong>Inclusion Recovery Hampshire</strong></a> for adults over 25 years old. You can also access confidential support via their helpline - Call: <strong>0300 124 0103</strong></p>

<p><a href="https://www.catch-22.org.uk/services/hampshire-247-substance-misuse-support/" ><strong>Hampshire 24/7</strong></a> for young people aged
    under 25 years old - Call: <strong>0845 459 9405</strong></p>

<p><a href="http://www.parentsupportlink.org.uk/" ><strong>ParentSupportLink</strong></a> confidential support and advice for parents, 
    families and friends - Call: <strong>023 8039 9764</strong></p>
    
<?php }?>
             <?php if($userLocation == "Southampton") { ?>
    <p><a href="https://www.changegrowlive.org/drug-alcohol-service-southampton/info"><strong>Change, Grow, Live Southampton</strong></a> for adults over 25 years old. Contact our dedicated alcohol support line - Call: <strong>02382 002 764</strong></p>

<p><a href="https://nolimitshelp.org.uk/get-help/health-wellbeing/drugs-and-alcohol/"><strong>Drugs Alcohol Support &amp; Health (DASH)</strong></a> for young
    people under 25 - Call: <strong>02380 224 224</strong></p>
<?php }?>
          
          
            <?php if($userLocation == "Portsmouth") { ?>
<p><a href="https://ssj.org.uk/sub-service/recovery-hub/"><strong>Recovery Hub </strong></a>support for adults - Call: <strong>02392 294 573</strong></p>

<p><a href="https://www.portsmouth.gov.uk/services/health-and-care/health/dass-drug-and-alcohol-support-service-for-young-people/"><strong>Drug and Alcohol Support Service for Young People</strong></a> (DASS) for those under 19 - Call: <strong>07951 497898</strong> or <strong>07557 753131<</strong>/p>
<?php }?>
          
                  
            <?php if($userLocation == "IOW") { ?>
<p><a href="https://www.inclusioniow.org/" ><strong>Inclusion IOW</strong></a>: for young people and adults - Call: <strong>01983 526654</strong>.</p>
<?php }?>
          
          
          
          <h3 class="mt-4">Your GP</h3>

<p>You may want to talk to your GP about your drinking or drug taking. Your GP will listen, assess your situation and help you choose the right support.</p>

 <h3 class="mt-4">More help and support</strong></h3>

<p><a href="http://www.nhs.uk/Livewell/alcohol/Pages/Alcoholhome.aspx"><strong>Drinking and Alcohol</strong></a> – NHS information and advice on alcohol.</p>

<p><a href="http://www.alcoholics-anonymous.org.uk/"><strong>Alcoholics Anonymous</strong></a> (AA) – help with alcohol and drinking.</p>

<p>Drinkline - if you're worried about your own or someone else's drinking, telephone 0300 123 1110 for a free, confidential conversation (weekdays 9am – 8pm, weekends 11am – 4pm).</p>

<p><a href="https://www.wearewithyou.org.uk/"><strong>We are with you </strong></a>(formally Addaction) national organisation providing drug and alcohol support.</p>

<p><a href="http://www.adfam.org.uk/"><strong>Adfam</strong></a> - advice and support for those concerned about a family member’s drink or drug taking.</p>

<p><a href="http://www.al-anonuk.org.uk/"><strong>Al-Anon </strong></a>– advice and support for those affected by someone else’s drinking.</p>

<p><a href="https://nacoa.org.uk/"><strong>Nacoa</strong></a> – information, advice and support for children of alcohol-dependent parents and others concerned with the welfare of a child. Free helpline 0800 358 3456.</p>
          
    
      </div>
      
      <!-- Modal footer -->
      <div class="modal-footer"> </div>
    </div>
  </div>
</div>
    
    
    
    
<!-- Optional JavaScript --> 
<!-- jQuery first, then Popper.js, then Bootstrap JS --> 
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script> 
<script src="js/alcoholquiz.js"/></script> 


</body>
</html>