<?php

session_start();
session_destroy();


?>

<!doctype html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Alcohol Quiz</title>
<!-- Bootstrap CSS via CDN -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

<!--Default CSS-->

<link rel="stylesheet" href="css/alcoholquiz.css">


<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">


</head>
<body>
<div class="row padding-green-bg">
<div class="container">
      <div class="row">
    <div class="col-4 col-md-3">
                 <img src="images/rethinklogo.png" alt="rethink you drink" class="img-fluid mt-3" />
            </div>
  
           <div class="offset-lg-3 col-lg-6">
        <div class="well aqua  m-mt-15 mt-5 mb-4">
 
<p class=" mb-0 black-white">0% Complete</p>
  <div class="progress mb-2">

    <div class="progress-bar" role="progressbar" aria-valuenow="0"
  aria-valuemin="0" aria-valuemax="100" style="width:0%">  </div>
  </div>
       </div>
         </div>
         </div>
</div>
        </div>
<div class="container" id="intro-wrapper">
    <h2 class="black mb-5">About you</h2>
    <div class="row mb-3">
    <div class="col-6 text-left"> </div>
    <div class="col-6 text-right">
      <form action="question-1.php" method="post">
        <input type="hidden" id="sexToPass" name="sexToPass" value=""/>
        <input type="hidden" id="locationToPass" name="locationToPass" value=""/>
         <input type="hidden" id="districtToPass" name="districtToPass" value=""/>
        <input type="hidden" id="ageToPass" name="ageToPass" value=""/>
        <input type="submit" class="btn btn-success mb-btn-sm" id="load-next"  value="Next Question">
      </form>
    </div>
  </div>
  <div class="container">
  <div class="row d-block">
      <div class="well py-5">
    <div class="col-md-9">
        
           <div class="row">
        <div class="col-md-4">
      <div class="form-group">
        <label class="black-white" for="sex-selector">What is your sex? </label>
    
        <select class="form-control" id="sex-selector" required>
          <option value="">Please choose...</option>
          <option value="male">Male</option>
          <option value="female">Female</option>
        </select>
        <div class="formErrorMsg"> Please select your sex </div>
            <p class="mt-3 mb-4"><i class="fas fa-info-circle"></i> <a href="#" class="form-link" data-toggle="modal" data-target="#sexModal"> Why we ask this question?</a></p>
      </div>
        </div>
               </div>
        <div class="row">
        <div class="col-md-6">
      <div class="form-group">
        <label class="black-white" for="location-selector">Please tell us where you live</label>
        <select class="form-control" id="location-selector" required>
          <option  value="">Please choose...</option>
   <option value="Hampshire">Hampshire</option>
              <option value="IOW">Isle of Wight</option>
                   <option value="Portsmouth">Portsmouth</option>
          <option value="Southampton">Southampton</option>
   
      
        </select>
        <div class="formErrorMsg"> Please tell us where you live: </div>
      </div>
        </div>
        
        
        
        <div class="col-md-6">
        <div class="form-group district-group">
        <label class="black-white"  for="district-selector">Select the nearest area you live in</label>
        <select class="form-control" id="district-selector" required>
          <option  value="">Please choose...</option>
            <option data-district="Southampton" value="Bargate">Bargate</option>
 <option data-district="Southampton" value="Bassett">Bassett</option>
 <option data-district="Southampton" value="Bevois">Bevois</option>
 <option data-district="Southampton" value="Bitterne">Bitterne</option>
 <option data-district="Southampton" value="Bitterne Park">Bitterne Park</option>
 <option data-district="Southampton" value="Coxford">Coxford</option>
 <option data-district="Southampton" value="Freemantle">Freemantle</option>
 <option data-district="Southampton" value="Harefiled">Harefiled</option>
 <option data-district="Southampton" value="Millbrook">Millbrook</option>
 <option data-district="Southampton" value="Peartree">Peartree</option>
 <option data-district="Southampton" value="Portswood">Portswood</option>
 <option data-district="Southampton" value="Redbridge">Redbridge</option>
 <option data-district="Southampton" value="Shirley">Shirley</option>
 <option data-district="Southampton" value="Sholing">Sholing</option>
 <option data-district="Southampton" value="Swaythling">Swaythling</option>
 <option data-district="Southampton" value="Woolston">Woolston</option>
            
            
        <option data-district="IOW" value="Arreton">Arreton</option>
 <option data-district="IOW" value="Bembridge">Bembridge</option>
 <option data-district="IOW" value="Brading">Brading</option>
 <option data-district="IOW" value="Brightstone">Brightstone</option>
 <option data-district="IOW" value="Calbourne, Newtown and Portfield">Calbourne, Newtown and Portfield</option>
 <option data-district="IOW" value="Chale">Chale</option>
 <option data-district="IOW" value="Cowes">Cowes</option>
 <option data-district="IOW" value="East Cowes">East Cowes</option>
 <option data-district="IOW" value="Fishbourne">Fishbourne</option>
 <option data-district="IOW" value="Freshwater">Freshwater</option>
 <option data-district="IOW" value="Godshill">Godshill</option>
 <option data-district="IOW" value="Gurnard">Gurnard</option>
 <option data-district="IOW" value="Havenstreet and Ashey">Havenstreet and Ashey</option>
 <option data-district="IOW" value="Newchurch">Newchurch</option>
 <option data-district="IOW" value="Newport">Newport</option>
 <option data-district="IOW" value="Nilton and Whitwell">Nilton and Whitwell</option>
 <option data-district="IOW" value="Northwood">Northwood</option>
 <option data-district="IOW" value="Rookley">Rookley</option>
 <option data-district="IOW" value="Ryde">Ryde</option>
 <option data-district="IOW" value="Ryde">Ryde</option>
 <option data-district="IOW" value="Sandown">Sandown</option>
 <option data-district="IOW" value="Shalfleet">Shalfleet</option>
 <option data-district="IOW" value="Shanklin">Shanklin</option>
 <option data-district="IOW" value="Shorwell">Shorwell</option>
 <option data-district="IOW" value="Totland">Totland</option>
 <option data-district="IOW" value="Ventor">Ventor</option>
 <option data-district="IOW" value="Whipingham">Whipingham</option>
 <option data-district="IOW" value="Wootton Bridge">Wootton Bridge</option>
 <option data-district="IOW" value="Wroxall">Wroxall</option>
 <option data-district="IOW" value="Yarmouth">Yarmouth</option>
     <option data-district="Portsmouth" value="Baffins">Baffins</option>
 <option data-district="Portsmouth" value="Central Southsea">Central Southsea</option>
 <option data-district="Portsmouth" value="Charles Dickens">Charles Dickens</option>
 <option data-district="Portsmouth" value="Copnor">Copnor</option>
 <option data-district="Portsmouth" value="Cosham and Drayton & Farlington">Cosham and Drayton & Farlington</option>
 <option data-district="Portsmouth" value="Eastney & Craneswater">Eastney & Craneswater</option>
 <option data-district="Portsmouth" value="Fratton">Fratton</option>
 <option data-district="Portsmouth" value="Hilsea">Hilsea</option>
 <option data-district="Portsmouth" value="Milton">Milton</option>
 <option data-district="Portsmouth" value="Nelson">Nelson</option>
 <option data-district="Portsmouth" value="Paulsgrove">Paulsgrove</option>
 <option data-district="Portsmouth" value="St Jude">St Jude</option>
 <option data-district="Portsmouth" value="St Thomas">St Thomas</option>
<option data-district="Hampshire" value="Basingtoke and Deane">Basingtoke and Deane</option>
<option data-district="Hampshire" value="Eastleigh">Eastleigh</option>
<option data-district="Hampshire" value="East Hampshire">East Hampshire</option>
<option data-district="Hampshire" value="Fareham">Fareham</option>  
<option data-district="Hampshire" value="Gosport">Gosport</option> 
<option data-district="Hampshire" value="Hart">Hart</option>  
<option data-district="Hampshire" value="Havant">Havant</option>     
<option data-district="Hampshire" value="New Forest">New Forest</option>     
<option data-district="Hampshire" value="Rushmoor">Rushmoor</option>     
<option data-district="Hampshire" value="Test Valley">Test Valley</option>     
<option data-district="Hampshire" value="Winchester">Winchester</option>     



        </select>
        <div class="formErrorMsg"> Please tell us your district</div>
      </div>
        
        </div>
        
        </div>
        
        
        
        
      <div class="form-group">
                 <label class="mt-3 black-white" >What is your age?</label>
        <ul class="radio-to-button row">
          <li class="col-md-3 col-6">
            <input type="radio" id="18-24" name="agerange"   vakye="18-24" />
            <label for="18-24">18-24</label>
          </li>
          <li class="col-md-3 col-6">
            <input type="radio" id="25-34" name="agerange"  value="25-34"/>
            <label for="25-34">25-34</label>
          </li>
           <li class="col-md-3 col-6">
            <input type="radio" id="35-44" name="agerange" value="35-44"/>
            <label for="35-44">35-44</label>
          </li>
           <li class="col-md-3 col-6">
            <input type="radio" id="45-54" name="agerange"  value="45-54"/>
            <label for="45-54">45-54</label>
          </li>
          <li class="col-md-3 col-6">
            <input type="radio" id="55-64" name="agerange" value="55-64"  />
            <label for="55-64">55-64</label>
          </li>
          <li class="col-md-3 col-6">
            <input type="radio" id="65-74" name="agerange" value="65-74" />
            <label for="65-74">65-74</label>
          </li>
              <li class="col-md-3 col-6">
            <input type="radio" id="75-85" name="agerange" value="75-85" />
            <label for="75-85">75-85</label>
          </li>
              <li class="col-md-3 col-6">
            <input type="radio" id="85+" name="agerange" value="85+" />
            <label for="85+">85+</label>
          </li>
        </ul>
        <div class="formErrorMsg"> Please choose your age range </div>
      </div>
    </div>
            </div>
        
            </div>
      
        <div class="row">
                 <div class="col-8">
                     
                </div>
            <div class="col-4">
        <img src="images/introdrinks.svg" class="mt-4 img-fluid" alt="alcholic drinks"/>
            </div>
            </div>
        
        </div>
  </div>
  

<!-- The Modal -->
<div class="modal" id="sexModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Why we ask this question?</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
      We ask for this information because the Chief Medical Officers' guidance about increasing and higher levels of drinking is different for males and females.
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
      </div>

    </div>
  </div>
</div>
<!-- Optional JavaScript --> 
<!-- jQuery first, then Popper.js, then Bootstrap JS --> 
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script> 
<script src="js/alcoholquiz.js"/></script>
</body>
</html>