$(document).ready(function () {

  var $userSex;
  var $userLocation;
  var $userDistrict;
  var $userAge;
  var $userEthnicity;
  var $userHowheard;
  var $unitTotal = 0;
  var $unitsDaily = 0;
  var $caloriesDaily = 0;
  var $caloriesPerUnit = 56;


  $("#load-next").on("click", function (e) {
      
      
        $("select#district-selector option").hide();
    $("select#district-selector option[data-district=" + $userLocation + "]").show();

    //FORM VALIDATION
    if ($('input[type=radio]').length > 0) {
      if ($('input[type=radio]:checked').length == 0) {
        e.preventDefault();
        $('input[type=radio]').closest(".form-group").find(".formErrorMsg").show();
        $('input[type=radio] + label').addClass("invalid-radio");
      }
    }


    if ($('select').length > 0) {

      $('select').each(function () {

        $(this).removeClass("invalid-select");
        if ($(this).val() == "") {

          $(this).addClass("invalid-select");

          $(this).closest(".form-group").find(".formErrorMsg").show();

          e.preventDefault();
        }
      });

    }

  })
  $("select").on("change", function () {
    $(this).closest(".form-group").find(".formErrorMsg").hide();
    $(this).removeClass("invalid-select");
  });


      $("select#district-selector").on("change", function () {
            $userDistrict = $(this).val();
          $("#districtToPass").val($userDistrict);
      });
    
    
  $("input[type=radio]").on("change", function () {
    $(this).closest(".form-group").find(".formErrorMsg").hide();
      
       $('input[type=radio] + label').removeClass("invalid-radio");


  })

  //END FORM VALIDATION

//ADD BUTTON - STORING VALUE IN HIDDEN FORM FIELD FOR PHP VARIABLE PASS TO SESSION VARIABLE IN NEXT QUESTION
  $("#sex-selector").on('change', function () {
      
    $userSex = $(this).val();
    $("#sexToPass").val($userSex)
      
  });


  $('input[type=radio][name=agerange]').change(function () {

    $userAge = $(this).val();
    $("#ageToPass").val($userAge)
  });

  $("#location-selector").on('change', function () {
          $("select#district-selector").prop('selectedIndex', 0);
    $userLocation = $(this).val();
    $("#locationToPass").val($userLocation)
       $(".district-group").show();
      
      $("select#district-selector option").hide();
    $("select#district-selector option[data-district=" + $userLocation + "]").show();
      
  });


  $('input[type=radio][name=howoftendrink]').change(function () {

    var $Q1howOftenDrink = $(this).val();

    $("#howOftenDrink").val($Q1howOftenDrink)
  });

  $('input[type=radio][name=unitsoccasion]').change(function () {

    var $Q3unitsOccasion = $(this).val();
    $("#unitsoccasion").val($Q3unitsOccasion)
  });


  $('input[type=radio][name=cantstop]').change(function () {

    var $Q4unitsCantstop = $(this).val();
    $("#cantstop").val($Q4unitsCantstop)
  });


  $('input[type=radio][name=expected]').change(function () {

    var $Q5unitsExpected = $(this).val();
    $("#expected").val($Q5unitsExpected)
  });


  $('input[type=radio][name=morning]').change(function () {

    var $Q6unitsMorning = $(this).val();
    $("#morning").val($Q6unitsMorning)
  });


  $('input[type=radio][name=guilt]').change(function () {

    var $Q7unitsGuilt = $(this).val();
    $("#guilt").val($Q7unitsGuilt)
  });


  $('input[type=radio][name=remember]').change(function () {

    var $Q8unitsRemember = $(this).val();
    $("#remember").val($Q8unitsRemember)
  });


  $('input[type=radio][name=injury]').change(function () {

    var $Q9unitsInjury = $(this).val();
    $("#injury").val($Q9unitsInjury)
  });

  $('input[type=radio][name=concerned]').change(function () {

    var $Q10unitsConcerned = $(this).val();
    $("#concerned").val($Q10unitsConcerned)
  });


  $("#ethnicity-selector").on('change', function () {
    $userEthnicity = $(this).val();
    $("#ethnicityToPass").val($userEthnicity)
  });


  $("#howheard-selector").on('change', function () {
    $userHowheard = $(this).val();
    $("#howheardToPass").val($userHowheard)
  });

    //END STORING VALUE 
    
    
//DRINK SELECTOR QUESTION 2 COMPONENT / CONTROL VISUAL DISPLAY OF DRINKS ICONS
  $("#drink-selector").on('change', function () {
    var $drinkOfChoice = $(this).val();
    $(".drink-selector-size").hide();
    $("#" + $drinkOfChoice + "-selector").show();


  });

//ADD BUTTON - STORING VALUE IN HIDDEN FORM FIELD FOR PHP VARIABLE PASS TO SESSION VARIABLE IN NEXT QUESTION

  $("button.drink-btn-add").on("click", function () {

    var $drinkType = $(this).data("drinktype");
    var $drinkUnits = $(this).data("drinkunit");

    $("#" + $drinkType + " span").text($("." + $drinkType).length + 1)

    $unitTotal += $drinkUnits;
    $("#drinks-container .drink-insert").removeClass("last-" + $drinkType)
    $("#drinks-container").append("<div class='col-md-3 drink-insert " + $drinkType + " last-" + $drinkType + "'><img src='images/" + $drinkType + "-drink.svg' alt=" + $drinkType + "-" + $("." + $drinkType).length + "'  />")

      //RUNNING TOTAL AS USER ENTERS DRINKS
    $unitsDaily = Math.round($unitTotal * 100) / 100

    $caloriesDaily = $unitsDaily * $caloriesPerUnit;
    $caloriesDaily = Math.round($caloriesDaily * 100) / 100


    $("#drinks-units span").text($unitsDaily);
    $("#drinks-calories span").text($caloriesDaily);


    $("#unitsToPass").val($unitsDaily);
  });

//MINUS BUTTON - STORING VALUE IN HIDDEN FORM FIELD FOR PHP VARIABLE PASS TO SESSION VARIABLE IN NEXT QUESTION

  $("button.drink-btn-remove").on("click", function () {


    $("#sex-selector").on('change', function () {
      $userSex = $(this).val();
      $("#sexToPass").val($userSex)
    });


    $("#location-selector").on('change', function () {
      $userLocation = $(this).val();
      $("#locationToPass").val($userLocation)
    });

    $("#load-quiz").on("click", function () {


    })
    var $drinkType = $(this).data("drinktype");
    var $drinkUnits = $(this).data("drinkunit");

    if ($("." + $drinkType).length != 0) {
      $("#" + $drinkType + " span").text($("." + $drinkType).length - 1)
      $unitTotal -= $drinkUnits;
      $("." + $drinkType + ":last").remove()


      $unitsDaily = Math.round($unitTotal * 100) / 100

      $caloriesDaily = $unitsDaily * $caloriesPerUnit;
      $caloriesDaily = Math.round($caloriesDaily * 100) / 100

      $("#drinks-units span").text($unitsDaily);

      $("#drinks-calories span").text($caloriesDaily);


      $("#unitsToPass").val($unitsDaily);


    }


  });

});
