<?php

session_start();


include( "_includes/dbconnect.php" );


$_SESSION[ 'totalScore' ] = $_POST[ 'totalScore' ];

$_SESSION[ 'concerned' ] = $_POST[ 'concerned' ];


if ( isset( $_POST[ 'concerned' ] ) ) {
  $_SESSION[ 'totalScore' ] += $_POST[ 'concerned' ];
}




?>

<!doctype html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Alcohol Quiz</title>
<!-- Bootstrap CSS via CDN -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

<!--Default CSS-->

<link rel="stylesheet" href="css/alcoholquiz.css">
</head>
<body>
<div class="row padding-green-bg">
<div class="container">
      <div class="row">
    <div class="col-4 col-md-3">
                 <img src="images/rethinklogo.png" alt="rethink you drink" class="img-fluid mt-3" />
            </div>
  
           <div class="offset-lg-3 col-lg-6">
        <div class="well aqua  m-mt-15 mt-5 mb-4">
 
<p class=" mb-0 black-white">92% Complete</p>
  <div class="progress mb-2">

    <div class="progress-bar" role="progressbar" aria-valuenow="92"
  aria-valuemin="0" aria-valuemax="100" style="width:92%">  </div>
  </div>
       </div>
         </div>
         </div>
</div>
        </div>
<div class="container" id="intro-wrapper">
        <h1 class="black mb-5">Question 11</h2>
    <div class="row">
    <div class="col-6 text-left">
      <form action="question-10.php" method="post">
        <input type="hidden" id="totalScore" name="totalScore" value="<?php echo $_SESSION['totalScore']; ?>"/>
        <input type="hidden" id="lastScore" name="lastScore" value="<?php echo $_SESSION['concerned'] ?>"/>
        <input type="submit" class="btn btn-danger mb-btn-sm" value="Previous Question">
      </form>
    </div>
    <div class="col-6 text-right">
      <form action="results.php" method="post">
        <input type="hidden" id="ethnicityToPass" name="ethnicityToPass" value=""/>
        <input type="hidden" id="howheardToPass" name="howheardToPass" value=""/>
        <input type="hidden" id="totalScore" name="totalScore" value="<?php echo $_SESSION['totalScore']; ?>"/>
        <input type="submit" class="btn btn-success mb-btn-sm" id="load-next"  value="See your results">
      </form>
    </div>
  </div>
    
    <div class="container">
  <div class="row d-block">
      <div class="well py-5">
    <div class="col-md-8">
      <div class="form-group">
        <label class="black-white" for="ethnicity-selector">Please tell us about your ethnicity?</label>
        <select class="form-control" id="ethnicity-selector">
          <option value="">Please choose...</option>
          <option value="Asian/Asian British">Asian/Asian British </option>
                   <option value="Black/African/Caribbean/Black British ">Black/African/Caribbean/Black British </option>
          <option value="Black">Gypsy or Irish Traveller</option>
          <option value="Mixed">Mixed (White and Black Caribbean, White and Black African, White and Asian, any other mixed)</option>
          <option value="White">White</option>
          <option value="Other">Other ethnic group</option>
          <option value="Prefer not to say">I’d rather not say </option>
        </select>
          
           


          
          
          
          
        <div class="formErrorMsg"> Please choose an answer </div>
      </div>
      <div class="form-group">
         <label class="black-white" for="howheard-selector">Please tell us where you heard about us?</label>
        <select class="form-control" id="howheard-selector">
          <option value="">Please choose...</option>
          <option value="Rethink your drink">Rethink Your Drink website </option>
           <option value="Other website">Other website </option>
          <option value="Search Engine">Internet search engine</option>
          <option value="Friend Recommendation">Friend recommendation</option>
          <option value="Social Media">Social media (e.g. Facebook, Twitter, Instagram)</option>
          
           <option value="Friend or family recommendation">Friend or family recommendation</option>
           
           <option value="Work or University or College">Work / University / College </option>
          
           <option value="GP Health or Care service">GP / Health or Care service </option>
           
               <option value="Flyer Poster or Leaflet">Flyer / Poster / Leaflet </option>
               
                 <option value="Other">Other</option>
          
          
        </select>
        <div class="formErrorMsg"> Please tell us how your heard about us </div>
      </div>
    </div>
          
          </div>
  </div>
  </div>
        
 
        
        
        
        
        <div class="container mt-3">

            <p> <button type="button" class="btn btn-warning btn-lg" id="add-drinks-next" data-toggle="modal" data-target="#privacyNotice"> Read our privacy notice</button></p>

        </div>
        
        
        
        
        
        <div class="row">
                 <div class="col-8">
                     
                </div>
            <div class="col-4">
        <img src="images/introdrinks.svg" class="mt-4 img-fluid" alt="alcholic drinks"/>
            </div>
            </div>
</div>


<!-- The Modal -->
<div class="modal" id="privacyNotice">
  <div class="modal-dialog">
    <div class="modal-content"> 
      
      <!-- Modal Header -->
      <div class="modal-header">
        <div class="modal-title black"><strong>Privacy Notice for Rethink Your Drink Quiz</strong></div>
        <button type="button" class="close" data-dismiss="modal" aria-label="close window">&times;</button>
      </div>
      
      <!-- Modal body -->
      <div class="modal-body">
         

<p>In this quiz, Hampshire County Council asks for the following anonymous information to customise the results for you, provide local signposting to further support and to inform service usage and future planning. </p>

<ul>
<li>Sex</li>
<li>Age band</li>
<li>Area lived in </li>
<li>Ethnicity </li>
<li>How you heard about the quiz</li>
<li>The level of risky drinking (i.e. low risk, increasing risk, higher risk, high risk/possible dependence) </li>
</ul>

<p>No information that would make you identifiable is collected. </p>
      </div>
      
      <!-- Modal footer -->
      <div class="modal-footer"> </div>
    </div>
  </div>
</div>

<!-- Optional JavaScript --> 
<!-- jQuery first, then Popper.js, then Bootstrap JS --> 
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script> 
<script src="js/alcoholquiz.js"/></script>
</body>
</html>