<?php

session_start();

include( "_includes/dbconnect.php" );

$_SESSION[ 'totalScore' ] = $_POST[ 'totalScore' ];

$_SESSION[ 'unitsDaily' ] = $_POST[ 'unitsToPass' ];





if ( isset( $_POST[ 'unitsToPass' ] ) ) {


  if ( $_POST[ 'unitsToPass' ] >= 0 && $_POST[ 'unitsToPass' ] <= 2.9) {

    $dailyTypicalUnitsScore = 0;


  } else if ( $_POST[ 'unitsToPass' ] > 3 && $_POST[ 'unitsToPass' ] <= 4.9 ) {
    $dailyTypicalUnitsScore = 1;
  } else if ( $_POST[ 'unitsToPass' ] > 5 && $_POST[ 'unitsToPass' ] <= 6.9 ) {
    $dailyTypicalUnitsScore = 2;
  } else if ( $_POST[ 'unitsToPass' ] > 7 && $_POST[ 'unitsToPass' ] <= 9.9 ) {
    $dailyTypicalUnitsScore = 3;
  } else {
    $dailyTypicalUnitsScore = 4;
  }


  $_SESSION[ 'unitsDailyScore' ] = $dailyTypicalUnitsScore;
  $_SESSION[ 'totalScore' ] += $dailyTypicalUnitsScore;
}

if ( isset( $_POST[ 'lastScore' ] ) ) {
  $_SESSION[ 'totalScore' ] -= $_POST[ 'lastScore' ];
}




?>

<!doctype html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Alcohol Quiz</title>
<!-- Bootstrap CSS via CDN -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

<!--Default CSS-->

<link rel="stylesheet" href="css/alcoholquiz.css">
</head>
<body>
<div class="row padding-green-bg">
<div class="container">
      <div class="row">
    <div class="col-4 col-md-3">
                 <img src="images/rethinklogo.png" alt="rethink you drink" class="img-fluid mt-3" />
            </div>
  
           <div class="offset-lg-3 col-lg-6">
        <div class="well aqua  m-mt-15 mt-5 mb-4">
 
<p class=" mb-0 black-white">32% Complete</p>
  <div class="progress mb-2">

    <div class="progress-bar" role="progressbar" aria-valuenow="32"
  aria-valuemin="0" aria-valuemax="100" style="width:32%">  </div>
  </div>
       </div>
         </div>
         </div>
</div>
        </div>
<div class="container" id="intro-wrapper">
        <h1 class="black mb-5">Question 3</h2>
  <div class="row">
    <div class="col-6 text-left">
      <form action="question-2.php" method="post">
        <input type="hidden" id="totalScore" name="totalScore" value="<?php echo $_SESSION['totalScore']; ?>"/>
        <input type="hidden" id="lastScore" name="lastScore" value="<?php echo $_SESSION['unitsDailyScore'] ?>"/>
        
          <input type="hidden" id="userSexBack" name="userSexBack" value="<?php echo $_SESSION['userSex'] ?>"/>
        
        
        
        
        
        <input type="submit" class="btn btn-danger mb-btn-sm" value="Previous Question">
      </form>
    </div>
    <div class="col-6 text-right">
      <form action="question-4.php" method="post">
        <input type="hidden" id="unitsoccasion" name="unitsoccasion" value=""/>
        <input type="hidden" id="totalScore" name="totalScore" value="<?php echo $_SESSION['totalScore']; ?>"/>
        <input type="submit" class="btn btn-success mb-btn-sm" id="load-next"  value="Next Question">
      </form>
    </div>
  </div>
   <div class="container">
  <div class="row d-block">
      <div class="well py-5">
    <div class="col-md-8">
      <?php if ($_SESSION['userSex'] == "female") { ?>
      <div class="form-group">
                   <label>How often have you had 6 or more units on a single occasion in the last year?</label>
           
                 
                 
                 
            <strong><span style="font-size:18px">Remember you said you typically drink <?php echo $_SESSION[ 'unitsDaily' ];?> units on days when you drink.</span></strong>

        <ul class="radio-to-button row">
          <li class="col-md-3 col-6">
            <input type="radio" id="never" name="unitsoccasion"  value="0" />
            <label for="never">Never</label>
          </li>
             <li class="col-md-3 col-6">
            <input type="radio" id="monthly" name="unitsoccasion"  value="1"/>
            <label for="monthly">Less than monthly </label>
          </li>
            <li class="col-md-3 col-6">
            <input type="radio" id="2-4month" name="unitsoccasion" value="2"/>
            <label for="2-4month">Monthly</label>
          </li>
             <li class="col-md-3 col-6">
            <input type="radio" id="2-3week" name="unitsoccasion" value="3"/>
            <label for="2-3week">Weekly</label>
          </li>
             <li class="col-md-3 col-6">
            <input type="radio" id="4timesWeek" name="unitsoccasion" value="4"  />
            <label for="4timesWeek">Daily or almost daily </label>
          </li>
        </ul>
        <div class="formErrorMsg"> Please choose an answer </div>
      </div>
      <? } ?>
      <?php if ($_SESSION['userSex'] == "male") { ?>
      <p id="checked"></p>
      <div class="form-group">
           <label>How often have you had 8 or more units on a single occasion in the last year?</label>
           
           
               <strong><span style="font-size:18px">Remember you said you typically drink <?php echo $_SESSION[ 'unitsDaily' ];?> units on days when you drink.</span></strong>

        <ul class="radio-to-button row">
          <li class="col-md-3">
            <input type="radio" id="never" name="unitsoccasion" value="0" />
            <label for="never">Never</label>
          </li>
          <li class="col-md-3">
            <input type="radio" id="monthly" name="unitsoccasion"  value="1"/>
            <label for="monthly">Less than monthly </label>
          </li>
          <li class="col-md-3">
            <input type="radio" id="2-4month" name="unitsoccasion" value="2"/>
            <label for="2-4month">Monthly</label>
          </li>
          <li class="col-md-3">
            <input type="radio" id="2-3week" name="unitsoccasion" value="3"/>
            <label for="2-3week">Weekly</label>
          </li>
          <li class="col-md-3">
            <input type="radio" id="4timesWeek" name="unitsoccasion" value="4"  />
            <label for="4timesWeek">Daily or almost daily </label>
          </li>
        </ul>
        <div class="formErrorMsg"> Please choose an answer </div>
      </div>
      <? } ?>
    </div>
          </div>
        </div>
         
           <div class="row">
                 <div class="col-8">
                     
                </div>
            <div class="col-4">
        <img src="images/introdrinks.svg" class="mt-4 img-fluid" alt="alcholic drinks"/>
            </div>
            </div>
       </div>
  </div>
  


<!-- Optional JavaScript --> 
<!-- jQuery first, then Popper.js, then Bootstrap JS --> 
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script> 
<script src="js/alcoholquiz.js"/></script>
</body>
</html>