<?php
include("_includes/dbconnect.php");

// Fetch rows from the results table where ID is from 1670 to 4891
$query = "SELECT id, month FROM results WHERE id BETWEEN 4892 AND 5285";
$result = $conn->query($query);

if ($result->num_rows > 0) {
    // Process each row
    while($row = $result->fetch_assoc()) {
        $id = $row["id"];
        $month = $row["month"];
        
        // Check if the month is between 01 and 12
        if ($month >= 1 && $month <= 12) {
            $year = '2024'; // Set the year
            $month_padded = str_pad($month, 2, '0', STR_PAD_LEFT); // Ensure month is two digits
            
            // Determine the last day of the month
            $last_day = date('t', strtotime("$year-$month_padded-01"));
            
            // Generate a random day in the month
            $random_day = rand(1, (int)$last_day);
            $random_day_padded = str_pad($random_day, 2, '0', STR_PAD_LEFT); // Ensure day is two digits
            
            // Form the complete random quiz_date
            $quiz_date = "$year-$month_padded-$random_day_padded";
        } else {
            continue; // Skip if month is out of expected range
        }
        
        // Update the quiz_date in the database
        $updateQuery = "UPDATE results SET quiz_date = '$quiz_date' WHERE id = $id";
        $conn->query($updateQuery);
    }
    echo "Database updated successfully.";
} else {
    echo "No records found.";
}

// Close connection
$conn->close();
?>
