<?php

session_start();

include( "_includes/dbconnect.php" );

//Score variable
$_SESSION[ 'howOftenDrink' ] = $_POST[ 'howOftenDrink' ];

if ( isset( $_POST[ 'howOftenDrink' ] ) ) {
  $_SESSION[ 'totalScore' ] += $_POST[ 'howOftenDrink' ];
}


if ( isset( $_POST[ 'lastScore' ] ) ) {
  $_SESSION[ 'totalScore' ] -= $_POST[ 'lastScore' ];
}



if ( isset( $_POST[ 'userSexBack' ] ) ) {
  $_SESSION[ 'userSex' ] = $_POST[ 'userSexBack' ] ;
}


?>

<!doctype html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Alcohol Quiz</title>

<!-- Bootstrap CSS via CDN -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

<!--Default CSS-->
<link rel="stylesheet" href="css/alcoholquiz.css">
</head>
<body>
<div class="row padding-green-bg">
<div class="container">
      <div class="row">
    <div class="col-4 col-md-3">
                 <img src="images/rethinklogo.png" alt="rethink you drink" class="img-fluid mt-3" />
            </div>
  
           <div class="offset-lg-3 col-lg-6">
        <div class="well aqua  m-mt-15 mt-5 mb-4">
 
<p class=" mb-0 black-white">24% Complete</p>
  <div class="progress mb-2">

    <div class="progress-bar" role="progressbar" aria-valuenow="24"
  aria-valuemin="0" aria-valuemax="100" style="width:24%">  </div>
  </div>
       </div>
         </div>
         </div>
</div>
        </div>
<div class="container" id="intro-wrapper">
        <h1 class="black mb-5">Question 2</h2>
    <div class="row">
    <div class="col-6 text-left">
      <form action="question-1.php" method="post">
        <input type="hidden" id="totalScore" name="totalScore" value="<?php echo $_SESSION['totalScore']; ?>"/>
        <input type="hidden" id="lastScore" name="lastScore" value="<?php echo $_SESSION['howOftenDrink'] ?>"/>
                  <input type="hidden" id="userSexBack" name="userSexBack" value="<?php echo $_SESSION['userSex'] ?>"/>
        
        
        
        
        
        <input type="submit" class="btn btn-danger mb-btn-sm" value="Previous Question">
      </form>
    </div>
    <div class="col-6 text-right">
      <button type="button" class="btn btn-success" id="add-drinks-next" data-toggle="modal" data-target="#unitCheck"> Next Question </button>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 mt-3">   <div class="form-group">    <label>How many units of alcohol do you drink on typical day when you are drinking? <br>(select your drinks below to calculate)</label></div></div>
  </div>
     <div class="container">
  <div class="row">
      <div class="col-md-12 well min-500 py-5">
          <div class="row">
    <div class="col-md-5">
      <div class="form-group">
               <label class="black-white"  for="drink-selector">Please choose your drinks</label>
               <p><strong>You can switch between and add different drink types using the drop down below.</strong></p>
        <select class="form-control" id="drink-selector">
          <option value="">Please select...</option>
          <option value="beer">Lager/Beer/Cider/Ale (4% ABV) </option>
            
            <option value="beer-high">Lager/Beer/Cider/Ale (5% ABV) </option>
            
        <option value="beer-super">Lager/Beer/Cider/Ale (7% ABV) </option>
            
    
            
          <option value="redwine">Wine/Prosecco/Champagne (12% ABV)</option>
            
                        
            
            
            <option value="spirit">Spirits (e.g., whisky, gin, brandy, vodka) (40% ABV)</option>
              
       
            
              <option value="fortifiedwine">Fortified wine (e.g. sherry, port) (18% ABV)</option>
            
              
        </select>
      </div>
      <div class="drink-selector-size" id="beer-selector">
             <div id="low-full-beer-pint" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/low-full-beer-pint-drink.svg" alt="Pint of beer">Pint (4% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="low-full-beer-pint" data-drinkunit="2.3">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="low-full-beer-pint" data-drinkunit="2.3">+</button>
        </div>
          
        <div id="low-half-beer-pint" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/low-half-beer-pint-drink.svg" alt="Half Pint of Beer">Half Pint (4% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="low-half-beer-pint" data-drinkunit="1.1">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="low-half-beer-pint" data-drinkunit="1.1">+</button>
        </div>
          
            <div id="low-440-beer" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/low-440-beer-drink.svg" alt="Can of Beer">440ml Can (4% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="low-440-beer" data-drinkunit="1.9">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="low-440-beer" data-drinkunit="1.8">+</button>
        </div>
     
        <div id="low-330-beer" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/low-330-beer-drink.svg" alt="Bottle of Beer">330ml Bottle / Small can (4% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="low-330-beer" data-drinkunit="1.3">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="low-330-beer" data-drinkunit="1.3">+</button>
        </div>
      
      </div>
        
        
        
          <div class="drink-selector-size" id="beer-high-selector">
      
        <div id="high-full-beer-pint" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/high-full-beer-pint-drink.svg" alt="7% ABV Pint of Beer">Pint (5% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="high-full-beer-pint" data-drinkunit="2.8">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="high-full-beer-pint" data-drinkunit="2.8">+</button>
        </div>
                <div id="high-half-beer-pint" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/high-half-beer-pint-drink.svg" alt="7% ABV Half Pint of Beer">Half Pint (5% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="high-half-beer-pint" data-drinkunit="1.4">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="high-half-beer-pint" data-drinkunit="1.4">+</button>
        </div>
              
               <div id="440-beer" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/high-440-beer-drink.svg" alt="7% ABV Can of  Beer">440ml Can (5% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="high-440-beer" data-drinkunit="2.2">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="high-440-beer" data-drinkunit="2.2">+</button>
        </div>
              
        <div id="high-330-beer" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/high-330-beer-drink.svg" alt="7% ABV Bottle of Beer">330ml Bottle / Small can (5% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="high-330-beer" data-drinkunit="1.7">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="high-330-beer" data-drinkunit="1.7">+</button>
        </div>
       
      </div>
        
        
         <div class="drink-selector-size" id="beer-super-selector">
      
        <div id="high-full-beer-pint" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/high-full-beer-pint-drink.svg" alt="7% ABV Pint of Beer">Pint (7% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="high-full-beer-pint" data-drinkunit="4">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="high-full-beer-pint" data-drinkunit="4">+</button>
        </div>
                <div id="high-half-beer-pint" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/high-half-beer-pint-drink.svg" alt="7% ABV Half Pint of Beer">Half Pint (7% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="high-half-beer-pint" data-drinkunit="2">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="high-half-beer-pint" data-drinkunit="2">+</button>
        </div>
              
               <div id="440-beer" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/high-440-beer-drink.svg" alt="7% ABV Can of  Beer">440ml Can (7% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="high-440-beer" data-drinkunit="3.1">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="high-440-beer" data-drinkunit="3.1">+</button>
        </div>
              
        <div id="high-330-beer" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/high-330-beer-drink.svg" alt="7% ABV Bottle of Beer">330ml Bottle / Small can (7% ABV)</h3>
          <button class="drink-btn-remove" data-drinktype="high-330-beer" data-drinkunit="2.3">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="high-330-beer" data-drinkunit="2.3">+</button>
        </div>
       
      </div>
        
        
      <div class="drink-selector-size" id="redwine-selector">
        <div id="small-redwine" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/small-redwine-drink.svg" alt="Small Glass of Wine" >Small Glass (125ml)</h3>
          <button class="drink-btn-remove" data-drinktype="small-redwine" data-drinkunit="1.5">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="small-redwine" data-drinkunit="1.5">+</button>
        </div>
          
            <div id="med-redwine" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/med-redwine-drink.svg" alt="Medium Glass of Wine">Medium/Standard glass (175ml)</h3>
          <button class="drink-btn-remove" data-drinktype="med-redwine" data-drinkunit="2.1">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="med-redwine" data-drinkunit="2.1">+</button>
        </div>
          
          
            <div id="large-redwine" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/large-redwine-drink.svg" alt="Large Glass of Wine">Large glass (250ml)</h3>
          <button class="drink-btn-remove" data-drinktype="large-redwine" data-drinkunit="3">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="large-redwine" data-drinkunit="3">+</button>
        </div>
          
         <div id="wine-bottle" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/wine-bottle-drink.svg" alt="Bottle of Wine">Bottle (750ml)</h3>
          <button class="drink-btn-remove" data-drinktype="wine-bottle" data-drinkunit="9">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="wine-bottle" data-drinkunit="9">+</button>
        </div>
          
          
          
      </div>
        
    
      
      <div class="drink-selector-size" id="spirit-selector">
        <div id="single-spirit" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/single-spirit-drink.svg" alt="Single measure of spirits">Single measure (25ml)</h3>
          <button class="drink-btn-remove" data-drinktype="single-spirit" data-drinkunit="1">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="single-spirit" data-drinkunit="1">+</button>
        </div>
          
            <div id="double-spirit" class="drink-counter"><h3 class="drink-heading  mb-1"><img src="images/double-spirit-drink.svg" alt="Double measure of spirits">Double measure (50ml)</h3>
          <button class="drink-btn-remove" data-drinktype="double-spirit" data-drinkunit="2">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="double-spirit" data-drinkunit="2">+</button>
        </div>
      </div>
        
          <div class="drink-selector-size" id="fortifiedwine-selector">
        <div id="fortified-wine" class="drink-counter">
        <h3 class="drink-heading  mb-1"><img src="images/fortified-wine-drink.svg" alt="Small glass of fortified wine">Small glass (75ml)</h3>
          <button class="drink-btn-remove" data-drinktype="fortified-wine" data-drinkunit="1">-</button>
          <span>0</span>
          <button class="drink-btn-add" data-drinktype="fortified-wine" data-drinkunit="1">+</button>
        </div>
         
      </div>
        
        
    </div>
    <div class="col-md-7 show-on-desktop-only">
           <div class="row" id="drinks-units">
        <h3 class="pt-1 text-right"><strong>Daily units:</strong> <span>0</span></h3>
      </div>
    
      <div class="row" id="drinks-container"> </div>
    </div>
  
                </div>
            </div>
        </div>
           </div>
  </div>
  
</div>

<!-- The Modal -->
<div class="modal" id="unitCheck">
  <div class="modal-dialog">
    <div class="modal-content"> 
      
      <!-- Modal Header -->
      <div class="modal-header">
        <h2 class="modal-title black">Just to check...</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="close window">&times;</button>
      </div>
      
      <!-- Modal body -->
      <div class="modal-body">
        <p><strong>Are you certain this represents a typical day drinking?</strong></p>
        <div class="row mt-2">
            <div class="col-md-6">
          <button type="button" class="btn btn-danger" data-dismiss="modal">Amend my units</button>
            </div>
                 <div class="col-md-6">
        <form action="question-3.php" method="post">
          <input type="hidden" id="unitsToPass" name="unitsToPass" value="0"/>
          <input type="hidden" id="totalScore" name="totalScore" value="<?php echo $_SESSION['totalScore']; ?>"/>
          <input type="submit" id="load-results" class="btn btn-success" value="Yes, this is correct">
        </form>
                    </div>
            </div>
      </div>
      
      <!-- Modal footer -->
      <div class="modal-footer"> </div>
    </div>
  </div>
</div>

<!-- Optional JavaScript --> 
<!-- jQuery first, then Popper.js, then Bootstrap JS --> 
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script> 
<script src="js/alcoholquiz.js"/></script>
</body>
</html>