<?php
session_start();

include("_includes/dbconnect.php");


$finalScore = $_SESSION[ 'totalScore' ];

//CONDITIONAL TO SET RISK LEVEL CATEGORISATION
    if ( $finalScore >= 0 && $finalScore <= 7 ) {
        
      $riskLevel = "Low Risk";
        
    } else if ( $finalScore > 7 && $finalScore <= 15 ) {
        
      $riskLevel = "Increasing Risk";
        
    } else if ( $finalScore > 15 && $finalScore <= 19 ) {
        
      $riskLevel = "Higher Risk";
        
    } else {
        
      $riskLevel = "High risk/possible dependence";
        
    }

//DAILY AND WEEKLY UNITS CALCULATION
$unitsDaily = $_SESSION[ 'unitsDaily' ];
$unitsWeekly = $unitsDaily * 7;

//CALORIE CONSUMPUTIN CALCULATION BASED ON DRINKING
$caloriesPerUnit = 56;
$calorificFood = 313; //1 x cheeseburger
$caloriesFromAlcohol = $unitsDaily * $caloriesPerUnit;
$caloriesExampleFood = $caloriesFromAlcohol / $calorificFood;

//SQL VARIABLE FOR INSERT - USING SESSION VARIABLES. 
$monthTaken = $_SESSION[ 'month' ];

//new quiz date
$quiz_date = $_SESSION["quiz_date"];


$userSex = $_SESSION[ 'userSex' ];
$userLocation = $_SESSION[ 'userLocation' ];
$userDistrict = $_SESSION[ 'userDistrict'];
$userAge = $_SESSION[ 'userAge' ];

$question1 = $_SESSION[ 'howOftenDrink' ];
$question2 =  $_SESSION[ 'unitsDailyScore' ];
$question3 = $_SESSION[ 'unitsoccasion' ];
$question4 = $_SESSION[ 'cantstop' ];
$question5 = $_SESSION[ 'expected' ];
$question6 = $_SESSION[ 'morning' ];
$question7 = $_SESSION[ 'guilt' ];
$question8 = $_SESSION[ 'remember' ];
$question9 = $_SESSION[ 'injury' ];
$question10 = $_SESSION[ 'concerned' ];


$userEthnicity = $_POST['ethnicityToPass'];
$userHowHeard = $_POST['howheardToPass'];


//SQL INSERT QUERY FOR STATS INFORMATION
 $sqlQuizResults = "INSERT INTO results (sex,agerange,location,district,ethnicity,howheard,unitsdaily,score,month, quiz_date, risklevel,question1,question2,question3,question4,question5,question6,question7,question8,question9,question10) VALUES ('$userSex','$userAge','$userLocation','$userDistrict','$userEthnicity','$userHowHeard','$unitsDaily','$finalScore','$monthTaken','$quiz_date', '$riskLevel','$question1','$question2','$question3','$question4','$question5','$question6','$question7','$question8','$question9','$question10')";
                     
if ( $conn->query( $sqlQuizResults ) === TRUE ) {
                    } else {
}
                     
?>
<!doctype html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<title>Alcohol Quiz</title>

<!--Default CSS-->
<link rel="stylesheet" href="css/alcoholquiz.css">
</head>
<body>
   
    <div class="row padding-green-bg">
<div class="container">
      <div class="row">
    <div class="col-4 col-md-3">
                 <img src="images/rethinklogo.png" alt="rethink you drink" class="img-fluid mt-3" />
            </div>
  
           <div class="offset-lg-3 col-lg-6">
        <div class="well aqua  m-mt-15 mt-5 mb-4">
 
<p class=" mb-0 black-white">100% Complete</p>
  <div class="progress mb-2">

    <div class="progress-bar" role="progressbar" aria-valuenow="100"
  aria-valuemin="0" aria-valuemax="100" style="width:100%">  </div>
  </div>
       </div>
         </div>
         </div>
</div>
        </div>
 
<div class="container" id="results-wrapper">
      <div class="row">
    <div class="col-md-7">
     <h1 class="black">Your results</h2>
     
     <h2 class="mt-4">Congratulations on completing the quiz!</h2>   




<?php
    if ( $finalScore >= 0 && $finalScore <= 7 ) {?>
        
    <p><strong>Please see your personalised results below</strong> </p>
        
   <? } else if ( $finalScore > 7 && $finalScore <= 15 ) {   ?>
        
     <p><strong>Please see your personalised results below, plus actions you can take to start enjoying the benefits of cutting down.</strong> </p>
        
     <?   } else if ( $finalScore > 15 && $finalScore <= 19 ) {   ?>
        
    <p><strong>Please see your personalised results below, plus actions you can take to start enjoying the benefits of cutting down.</strong> </p>
        
      <?  } else {  ?>
             <p><strong>Please see your personalised results below, plus advice on seeking support.</strong> </p>
    
        
      <?  } ?>




        </div>
          </div>
          
          
          
           <div class="row display-on-mobile-only">
           <div class="col-md-12">
        <div class="well aqua mb-3">
               <div class="well white">
                  <div class="text-center mb-3"><h3 class="black" >Your Score</h3></div>

         
         <?php 
         if ( $finalScore >= 0 && $finalScore <= 7 ) {  ?>
         
          <img src="images/lowriskgauge.svg" alt="guage pointing to low risk" class="img-fluid"/>
          
          
          <div class="well green mt-4">
             <h3 class="text-center"><strong>YOU ARE<br>LOW RISK</strong></h3>
             
             <h4 class="mt-4">CONGRATULATIONS!</h4>
             <p>We would encourage you to continue to stay within these lower-risk levels. </p>
         </div>
            
      <?php   
        
    } else if ( $finalScore > 7 && $finalScore <= 15 ) {  ?>
        
          <img src="images/increasingriskgauge.svg" alt="guage pointing to increasing  risk" class="img-fluid"/>
          
          
         <div class="well orange mt-4">
             <h3 class="text-center"><strong>YOU ARE<br>INCREASING RISK</strong></h3>
             <p>This indicates that you may be drinking more than is healthy for you, adding to your risk of future health problems. </p>
         </div>

       <?php  
    } else if ( $finalScore > 15 && $finalScore <= 19 ) {  ?>
    
          <img src="images/higherriskgauge.svg" alt="guage pointing to higher risk" class="img-fluid"/>
          
          
           <div class="well red mt-4">
                         <h3 class="text-center"><strong>YOU ARE HIGHER RISK</strong></h3>

             <p>Your drinking may cause health problems in the future or may be harming your health now.  </p>
         </div>
          <?php    
    } else { ?>
        
    
          <img src="images/highriskgauge.svg" alt="guage pointing to high risk" class="img-fluid"/>
         <div class="well dkred mt-4">
                         <h3 class="text-center"><strong>YOU ARE HIGH RISK /POSSIBLY DEPENDENT</strong></h3>

             <p>Your drinking may well be having an impact on your physical and mental health already and is increasing your risk of ill health such as cancer, liver disease and high blood pressure.  </p>
         </div>
         
                
         <?php    
    } ?>
                   
    
            
            </div>
            </div>
          
          
          
             <?php   if (  ($finalScore > 7 && $finalScore <= 15) || ($finalScore > 15 && $finalScore <= 19) )  { ?>  
          
                 <div class="well aqua mb-3">
                     
                     
                        <div class="well white">
                              <div class="text-center mb-3"><h3 class="black" >How does my drinking compare to others?</h3></div>
                              
                              
                                <?php   if ( $finalScore > 7 && $finalScore <= 15 ) { ?>    
                              
                                  <?php if($userSex == "male") { ?>
                                      <h1 class="text-center">75%</h1>
                          <strong>75% of men drink less than you. That's 3 in every 4.</strong> 
                          <?php } ?>
                          
                            <?php if($userSex == "female") { ?>
                               <h1 class="text-center">88%</h1>
                          <strong>88% of women drink less than you. That's 4 in every 5.</strong>  
                          <?php } ?>
                          
                           
                           <?php } ?>    
                              
                              
                         <?php   if ( $finalScore > 15 && $finalScore <= 19 ) { ?>       
                              

                           <?php if($userSex == "male") { ?>
                            <h1 class="text-center">95%</h1>
                              <strong>95% of men drink less than you. That's more than 4 in every 5. </strong> 
                              <?php } ?>
                              
                                <?php if($userSex == "female") { ?>
                                   <h1 class="text-center">98%</h1>
                              <strong>98% of women drink less than you. That's more than 9 in every 10.  </strong>
                              <?php } ?>
                          
                           <?php } ?>
                       </div> 
                 </div>  
             <?php } ?>
          
          
          <div class="well aqua mb-3">
               <div class="well white">
         
                
         <div class="text-center mb-3"><h3 class="black" >How many calories</h3></div>
                       <div class="row">
        <div class="col-md-5 mx-auto">
            <img src="images/cheeseburger.svg" alt="a cheeseburger" class="img-fluid"/>
                  </div>
                     
                      
                      
                  </div>
        <p class="text-center font-size-20 mt-3">You are consuming <strong><?php echo $caloriesFromAlcohol ;?> calories</strong> from alcohol.</p>
        <p class="text-center font-size-20">That's the equivalent of <strong><?php echo number_format((float)$caloriesExampleFood, 2, '.', '') ?></strong> cheeseburgers.</p>
     
  
     
     
     
          </div>
            </div>
          
       
          
     
    </div> 
          
          </div>
          
          
          
          
          
          
          
          
  <div class="row">
    <div class="col-md-8 mb-3">

        
        <div class="well h-100">
            
            
            
        
      <?php
      if ( $finalScore >= 0 && $finalScore <= 7 ) {
        ?>
        
             
             
        
        
        
            
              <div class="well white">
                  
              <h2>About your score</h2>
              
              <p>Whilst there is no completely safe level of drinking, based on your responses your alcohol use is unlikely to be adding significantly to any health problems.  </p>
              
              
                <div class="well green pb-1 mb-3"> <p class="black text-center"><strong>The Chief Medical Officer advises that people do not drink more than 14 units per week. </strong></p></div>
                  
                   </div>
                   
                   
                         
                        
               <div class="well white mt-2 "> 
               
               
               <h2>Find out more</h2>
               
               
              <p>Find out more about the risks associated with alcohol and explore helpful tips and advice to make a change. </p>
              
              
              <p> <a href="https://www.hants.gov.uk/rethinkyourdrink" class="btn btn-success">Rethink Your Drink</a></p>
               
               </div>
                       
            
            

      <?php  } else if ($finalScore > 7 &&  $finalScore <= 15) {  ?>
                
                 <div class="well white">
                
                  
                  <img src="images/alcoholandyouinfo.png" class="img-fluid"/>
                  
                  
                  
             <div class="sr-only">
                  <h2>Benefits of cutting down</h2>
       
<ul>
    
<li>More energy  </li>

<li>Better sleep </li>  

<li>Weight loss </li>  

<li>Improved memory  </li> 

<li>Balanced mood  </li>

<li>Better looking skin </li> 

<li>Boosted immune system  </li> 
</ul>
</div>
                  
                   </div>
        
                
                       <div class="well white mt-2">
                  
                  <h2>Tips for making a change for the better</h2>
       
       <p>Cut back even just a little by: </p>
<ul>
    
<li>Avoiding drinking more than 14 units per week. </li>

<li>Trying to have at least two drink-free days per week to lower your risk of developing alcohol-related diseases.  </li>  

<li>Spreading drinking evenly across the week and having regular drink free days.  </li>  

<li>Avoiding or limiting heavy drinking sessions. 
                  </li> 

</ul>

       <div class="well green pb-1 mb-3"> <p class="black text-center"><strong>The Chief Medical Officer advises that people do not drink more than 14 units per week. </strong></p></div>

                   </div>
                
                
                          
                        
                 
                        
               <div class="well white mt-2 "> 
               
               
               <h2>Find out more</h2>
               
               
              <p>Find out more about the risks associated with alcohol and explore helpful tips and advice to make a change. </p>
              
              
              <p> <a href="https://www.hants.gov.uk/rethinkyourdrink" class="btn btn-success">Rethink Your Drink</a></p>
               
               </div>
                        
                        
                        
                        
                        
                        
                        
      <?
      } else if ( $finalScore > 15 && $finalScore <= 19 ) {
        ?>
                
                
                 <div class="well white">
                  
                  
       
                  
            <img src="images/alcoholandyouinfo.png" class="img-fluid"/>
                  
                  
                  
             <div class="sr-only">
                  <h2>Benefits of cutting down</h2>
       
<ul>
    
<li>More energy  </li>

<li>Better sleep </li>  

<li>Weight loss </li>  

<li>Improved memory  </li> 

<li>Balanced mood  </li>

<li>Better looking skin </li> 

<li>Boosted immune system  </li> 
</ul>
</div>   
                   </div>
                   
                   
                   
                      <div class="well white mt-2">
                  
                  <h2>Tips for making a change for the better</h2>
       
       <p>Cut back even just a little by: </p>
<ul>
    
<li>Avoiding drinking more than 14 units per week. </li>

<li>Trying to have at least two drink-free days per week to lower your risk of developing alcohol-related diseases.  </li>  

<li>Spreading drinking evenly across the week and having regular drink free days.  </li>  

<li>Avoiding or limiting heavy drinking sessions. 
                  </li> 

</ul>

   <div class="well green pb-1 mb-3"> <p class="black text-center"><strong>The Chief Medical Officer advises that people do not drink more than 14 units per week. </strong></p></div>

                   </div>
        
        
                
                
            
                
                
                  <div class="well white mt-2 "> 
               
               
               <h2>Find out more</h2>
               
               
              <p>Find out more about the risks associated with alcohol and explore helpful tips and advice to make a change. </p>
              
              
              <p> <a href="https://www.hants.gov.uk/rethinkyourdrink" class="btn btn-success">Rethink Your Drink</a></p>
               
               </div>
                          
                
      <?php
      } else {
        ?>
                
           <div class="well white">
     <h2>Support is available</h2>
                  
                  
<p>Support is available if you feel your drinking is getting out of control.</p>  

<p>This is nothing to be ashamed of, lots of people struggle with alcohol at some point in their lives and need support to turn things around. </p>


   <div class="well green pb-1 mb-3"> <p class="black text-center">
       <p><strong>It’s important to get medical advice before you stop drinking if you have physical withdrawal symptoms (like shaking, sweating or feeling anxious) until you have your first drink of the day.</strong> </p>

 

<p><strong>It can be dangerous to stop drinking too quickly without proper help.  </strong></p></div>
               
        
               
                   </div>
                   
                   
                   <div class="well white mt-2 ">
     <h2>Get support</h2>
                  
                  
<p>Speak to your GP or contact your local alcohol treatment service as soon as possible about your options for cutting down. </p>

 

<p>Your GP will listen, assess your situation and help you choose the right support. Local treatment services are experienced in helping people to make a change and you may find it easier with expert help.  </p> 

 
              <p> <button type="button" class="btn btn-success" data-toggle="modal" data-target="#supportModal"> Where can I get support? </button></p>
    
               
                   </div>
               
               
      <?php } ?>
            
            
                  

            
    
            
        </div>
        
     
    </div>
          

    
      <div class="col-md-4 display-on-desktop-only" >
        <div class="well aqua mb-3">
               <div class="well white">
                  <div class="text-center mb-3"><h3 class="black" >Your Score</h3></div>

         
         <?php 
         if ( $finalScore >= 0 && $finalScore <= 7 ) {  ?>
         
          <img src="images/lowriskgauge.svg" alt="guage pointing to low risk" class="img-fluid"/>
          
          
          <div class="well green mt-4">
             <h3 class="text-center"><strong>YOU ARE<br>LOW RISK</strong></h3>
             
             <h4 class="mt-4">CONGRATULATIONS!</h4>
             <p>We would encourage you to continue to stay within these lower-risk levels. </p>
         </div>
            
      <?php   
        
    } else if ( $finalScore > 7 && $finalScore <= 15 ) {  ?>
        
          <img src="images/increasingriskgauge.svg" alt="guage pointing to increasing  risk" class="img-fluid"/>
          
          
         <div class="well orange mt-4">
             <h3 class="text-center"><strong>YOU ARE<br>INCREASING RISK</strong></h3>
             <p>This indicates that you may be drinking more than is healthy for you, adding to your risk of future health problems. </p>
         </div>

       <?php  
    } else if ( $finalScore > 15 && $finalScore <= 19 ) {  ?>
    
          <img src="images/higherriskgauge.svg" alt="guage pointing to higher risk" class="img-fluid"/>
          
          
           <div class="well red mt-4">
                         <h3 class="text-center"><strong>YOU ARE HIGHER RISK</strong></h3>

             <p>Your drinking may cause health problems in the future or may be harming your health now.  </p>
         </div>
          <?php    
    } else { ?>
        
    
          <img src="images/highriskgauge.svg" alt="guage pointing to high risk" class="img-fluid"/>
         <div class="well dkred mt-4">
                         <h3 class="text-center"><strong>YOU ARE HIGH RISK /POSSIBLY DEPENDENT</strong></h3>

             <p>Your drinking may well be having an impact on your physical and mental health already and is increasing your risk of ill health such as cancer, liver disease and high blood pressure.  </p>
         </div>
         
                
         <?php    
    } ?>
                   
    
            
            </div>
            </div>
          
          
          
             <?php   if (  ($finalScore > 7 && $finalScore <= 15) || ($finalScore > 15 && $finalScore <= 19) )  { ?>  
          
                 <div class="well aqua mb-3">
                     
                     
                        <div class="well white">
                              <div class="text-center mb-3"><h3 class="black" >How does my drinking compare to others?</h3></div>
                              
                              
                                <?php   if ( $finalScore > 7 && $finalScore <= 15 ) { ?>    
                              
                                  <?php if($userSex == "male") { ?>
                                      <h1 class="text-center">75%</h1>
                          <strong>75% of men drink less than you. That's 3 in every 4.</strong> 
                          <?php } ?>
                          
                            <?php if($userSex == "female") { ?>
                               <h1 class="text-center">88%</h1>
                          <strong>88% of women drink less than you. That's 4 in every 5.</strong>  
                          <?php } ?>
                          
                           
                           <?php } ?>    
                              
                              
                         <?php   if ( $finalScore > 15 && $finalScore <= 19 ) { ?>       
                              

                           <?php if($userSex == "male") { ?>
                            <h1 class="text-center">95%</h1>
                              <strong>95% of men drink less than you. That's more than 4 in every 5. </strong> 
                              <?php } ?>
                              
                                <?php if($userSex == "female") { ?>
                                   <h1 class="text-center">98%</h1>
                              <strong>98% of women drink less than you. That's more than 9 in every 10.  </strong>
                              <?php } ?>
                          
                           <?php } ?>
                       </div> 
                 </div>  
             <?php } ?>
          
          
          <div class="well aqua mb-3">
               <div class="well white">
         
                
         <div class="text-center mb-3"><h3 class="black" >How many calories</h3></div>
                       <div class="row">
        <div class="col-md-5 mx-auto">
            <img src="images/cheeseburger.svg" alt="a cheeseburger" class="img-fluid"/>
                  </div>
                     
                      
                      
                  </div>
        <p class="text-center font-size-20 mt-3">You are consuming <strong><?php echo $caloriesFromAlcohol ;?> calories</strong> from alcohol.</p>
        <p class="text-center font-size-20">That's the equivalent of <strong><?php echo number_format((float)$caloriesExampleFood, 2, '.', '') ?></strong> cheeseburgers.</p>
     
  
     
     
     
          </div>
            </div>
          
       
          
     
    </div>
    
  </div>
    
    
    
  
      
      
      
      
  </div>
</div>
    
    
    <!-- The Modal -->
<div class="modal" id="supportModal">
  <div class="modal-dialog modal-lg">
    <div class="modal-content"> 
      
      <!-- Modal Header -->
      <div class="modal-header">
    
        <button type="button" class="close" data-dismiss="modal" aria-label="close window">&times;</button>
      </div>
      
      <!-- Modal body -->
      <div class="modal-body">
    

    <h1 class="black mb-4"><strong>Support available in <?php echo $userLocation ;?></strong></h1>

          <h2>Specialist Treatment Services</h2>
<p>You can contact the specialist treatment services for adults or young people in your area:</p>

  
          <?php if($userLocation == "Hampshire") { ?>
    <p><a href="https://www.inclusionhants.org/" ><strong>Inclusion Recovery Hampshire</strong></a> for adults over 25 years old. You can also access confidential support via their helpline - Call: <strong>0300 124 0103</strong></p>

<p><a href="https://www.catch-22.org.uk/services/hampshire-247-substance-misuse-support/" ><strong>Hampshire 24/7</strong></a> for young people aged
    under 25 years old - Call: <strong>0845 459 9405</strong></p>

<p><a href="http://www.parentsupportlink.org.uk/" ><strong>ParentSupportLink</strong></a> confidential support and advice for parents, 
    families and friends - Call: <strong>023 8039 9764</strong></p>
    
<?php }?>
             <?php if($userLocation == "Southampton") { ?>
    <p><a href="https://www.changegrowlive.org/drug-alcohol-service-southampton/info"><strong>Change, Grow, Live Southampton</strong></a> for adults over 25 years old. Contact our dedicated alcohol support line - Call: <strong>02382 002 764</strong></p>

<p><a href="https://nolimitshelp.org.uk/get-help/health-wellbeing/drugs-and-alcohol/"><strong>Drugs Alcohol Support &amp; Health (DASH)</strong></a> for young
    people under 25 - Call: <strong>02380 224 224</strong></p>
<?php }?>
          
          
            <?php if($userLocation == "Portsmouth") { ?>
<p><a href="https://ssj.org.uk/sub-service/recovery-hub/"><strong>Recovery Hub </strong></a>support for adults - Call: <strong>02392 294 573</strong></p>

<p><a href="https://www.portsmouth.gov.uk/services/health-and-care/health/dass-drug-and-alcohol-support-service-for-young-people/"><strong>Drug and Alcohol Support Service for Young People</strong></a> (DASS) for those under 19 - Call: <strong>07951 497898</strong> or <strong>07557 753131<</strong>/p>
<?php }?>
          
                  
            <?php if($userLocation == "IOW") { ?>
<p><a href="https://www.inclusioniow.org/" ><strong>Inclusion IOW</strong></a>: for young people and adults - Call: <strong>01983 526654</strong>.</p>
<?php }?>
          
          
          
          <h3 class="mt-4">Your GP</h3>

<p>You may want to talk to your GP about your drinking or drug taking. Your GP will listen, assess your situation and help you choose the right support.</p>

 <h3 class="mt-4">More help and support</strong></h3>

<p><a href="http://www.nhs.uk/Livewell/alcohol/Pages/Alcoholhome.aspx"><strong>Drinking and Alcohol</strong></a> – NHS information and advice on alcohol.</p>

<p><a href="http://www.alcoholics-anonymous.org.uk/"><strong>Alcoholics Anonymous</strong></a> (AA) – help with alcohol and drinking.</p>

<p>Drinkline - if you're worried about your own or someone else's drinking, telephone 0300 123 1110 for a free, confidential conversation (weekdays 9am – 8pm, weekends 11am – 4pm).</p>

<p><a href="https://www.wearewithyou.org.uk/"><strong>We are with you </strong></a>(formally Addaction) national organisation providing drug and alcohol support.</p>

<p><a href="http://www.adfam.org.uk/"><strong>Adfam</strong></a> - advice and support for those concerned about a family member’s drink or drug taking.</p>

<p><a href="http://www.al-anonuk.org.uk/"><strong>Al-Anon </strong></a>– advice and support for those affected by someone else’s drinking.</p>

<p><a href="https://nacoa.org.uk/"><strong>Nacoa</strong></a> – information, advice and support for children of alcohol-dependent parents and others concerned with the welfare of a child. Free helpline 0800 358 3456.</p>
          
    
      </div>
      
      <!-- Modal footer -->
      <div class="modal-footer"> </div>
    </div>
  </div>
</div>
    
    
    
    
<!-- Optional JavaScript --> 
<!-- jQuery first, then Popper.js, then Bootstrap JS --> 
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> 
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script> 
<script src="js/alcoholquiz.js"/></script> 


</body>
</html>